aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorEd Maste <emaste@FreeBSD.org>2018-10-22 19:39:20 +0000
committerEd Maste <emaste@FreeBSD.org>2018-10-22 19:39:20 +0000
commita7d9306a40a7cfd6f82191559b99731cf3dc7f1a (patch)
treee230bfc27a5808feee66cc64d8d6d0486181c7f1
parent2af3ea6bc1e7b17fa233e7a392b9d807f11c7a04 (diff)
downloadsrc-a7d9306a40a7cfd6f82191559b99731cf3dc7f1a.tar.gz
src-a7d9306a40a7cfd6f82191559b99731cf3dc7f1a.zip
release: set -e to exit on error in iso image scripts
Reviewed by: gjb Differential Revision: https://reviews.freebsd.org/D17651
Notes
Notes: svn path=/head/; revision=339609
-rw-r--r--release/amd64/mkisoimages.sh2
-rw-r--r--release/i386/mkisoimages.sh2
-rw-r--r--release/powerpc/mkisoimages.sh1
-rw-r--r--release/sparc64/mkisoimages.sh2
4 files changed, 7 insertions, 0 deletions
diff --git a/release/amd64/mkisoimages.sh b/release/amd64/mkisoimages.sh
index d45687bc20a4..699ddab2e8b6 100644
--- a/release/amd64/mkisoimages.sh
+++ b/release/amd64/mkisoimages.sh
@@ -23,6 +23,8 @@
# extra-bits-dir, if provided, contains additional files to be merged
# into base-bits-dir as part of making the image.
+set -e
+
if [ -z $ETDUMP ]; then
ETDUMP=etdump
fi
diff --git a/release/i386/mkisoimages.sh b/release/i386/mkisoimages.sh
index a7d33c4c40ad..b9eb893edeef 100644
--- a/release/i386/mkisoimages.sh
+++ b/release/i386/mkisoimages.sh
@@ -23,6 +23,8 @@
# extra-bits-dir, if provided, contains additional files to be merged
# into base-bits-dir as part of making the image.
+set -e
+
if [ "$1" = "-b" ]; then
# This is highly x86-centric and will be used directly below.
bootable="-o bootimage=i386;$4/boot/cdboot -o no-emul-boot"
diff --git a/release/powerpc/mkisoimages.sh b/release/powerpc/mkisoimages.sh
index 02e2d58160af..2d5ea76ca7a2 100644
--- a/release/powerpc/mkisoimages.sh
+++ b/release/powerpc/mkisoimages.sh
@@ -23,6 +23,7 @@
# extra-bits-dir, if provided, contains additional files to be merged
# into base-bits-dir as part of making the image.
+set -e
if [ "$1" = "-b" ]; then
bootable=1
diff --git a/release/sparc64/mkisoimages.sh b/release/sparc64/mkisoimages.sh
index 78446c980ade..80894096f01e 100644
--- a/release/sparc64/mkisoimages.sh
+++ b/release/sparc64/mkisoimages.sh
@@ -22,6 +22,8 @@
# resulting ISO image, base-bits-dir contains the image contents and
# extra-bits-dir, if provided, contains additional files to be merged
# into base-bits-dir as part of making the image.
+set -e
+
if [ $# -lt 3 ]; then
echo "Usage: $0 [-b] image-label image-name base-bits-dir [extra-bits-dir]" > /dev/stderr
exit 1